petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMForestSetInitialRefinement

During the pre-setup phase, set the initial level of refinement (relative to the base DM, see DMForestGetBaseDM()) allowed in the forest.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetInitialRefinement(DM dm, PetscInt initRefinement)

Logically collective on dm

### Input Parameters

| dm | - the forest
| initefinement | - default PETSC_DEFAULT (interpreted by the subtype of DMForest)

### See Also

DMForestSetMinimumRefinement(), DMForestSetMaximumRefinement(), DMForestGetBaseDM()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages